<?php

	//
	//	This file is part of MythWeb,
	//	a php-based interface into MythTV.
	//
	//	(c) 2002 by Thor Sigvaldason and Isaac Richards
	//	MythWeb is distributed under the
	//	GNU GENERAL PUBLIC LICENSE version 2
	//	(see http://www.gnu.org)
	//


//
//	recordings.php lets us see what's in the
// 	recordings database.
//

// delete the program if they hit delete
if ($_POST['delete']) dontRecord($_POST['title'], $_POST['chanid'], $_POST['starttime']);

// gather information from all the recording tables
$singlerecordings = setupRecordings();
$allrecordings = setupAllRecordings();
$timeslotrecordings = setupTimeSlotRecordings();

print("<TABLE WIDTH=\"100%\" BGCOLOR=\"$list_bg_colour\" CELLSPACING=\"10\" CELLPADDING=\"7\"><TR><TD>");

// print all the entries from the singlerecord table
print("<TABLE BGCOLOR=\"$list_bg_colour\" CELLSPACING=\"5\" CELLPADDING=\"5\">");

$index = 0;
if ($singlerecordings[$index]) {
	print("<TR VALIGN=\"TOP\"><TD></TD><TD>Programs scheduled to record once.</TD></TR>");
	while ($show = $singlerecordings[$index]) {
		$starttime = getTimeString2($show->startdate . $show->starttime);
		$endtime = getTimeString2($show->enddate . $show->endtime);
		$time = parseTime2($show->startdate . $show->starttime);
		$starttime2 = $time["year"].$time["month"].$time["day"].$time["hour"].$time["minute"].$time["second"];

		print("<form action=\"main.php?mode=recordings\" method=\"post\">");
		print("<input type=\"hidden\" name=\"title\" value=\"$show->title\"><input type=\"hidden\" name=\"chanid\" value=\"$show->chanid\">");
		print("<input type=\"hidden\" name=\"starttime\" value=\"$show->starttime\"><input type=\"hidden\" name=\"delete\" value=\"1\">");
		print("<TR VALIGN=\"TOP\"><TD>Program:</TD><TD BGCOLOR=\"$list_fg_colour\">");
		print("<a href=\"main.php?mode=single&channel=$show->chanid&starttime=$starttime2\">$show->title</a>");
		if ($show->subtitle) print(" - $show->subtitle");
		print("</TD><TD><input type=\"submit\" name=\"deletebutton\" value=\"Delete\"></TD></TR><TR VALIGN=\"TOP\">");
		print("<TD>Airdate:</TD><TD BGCOLOR=\"$list_fg_colour\">$starttime to $endtime on channel $show->channum</TD></TR>");
		if ($show->description) print("<TR VALIGN=\"TOP\"><TD>Description:</TD><TD BGCOLOR=\"$list_fg_colour\">$show->description</TD></TR>");
		print("<TR></TR><TR></TR></form>");
		$index++;
	}
}
else print("<TR><TD>You currently do not have any single programs scheduled to record.</TD></TR>");
print("</table><br><br>");

// print all the time slot recordings
print("<TABLE BGCOLOR=\"$list_bg_colour\" CELLSPACING=\"5\" CELLPADDING=\"5\">");

$index=0;
if ($timeslotrecordings[$index]) {
	print("<TR VALIGN=\"TOP\"><TD>Programs scheduled to record in a certain time slot</TD></TR>");
	while ($show = $timeslotrecordings[$index]) {
		$starttime = parseTimeSlotTime($show->starttime);
		$endtime = parseTimeSlotTime($show->endtime);

		$sHour = $starttime['hour'];
		if ($sHour > 12) {
			$sHour -= 12;
			$ampm = "pm";
		}
		else if ($sHour == 0) {
			$sHour = 12;
			$ampm = "am";
		}
		else $ampm = "am";
		$sMinute = $starttime['minute'];
		$starttime = $sHour . ":" . $sMinute . $ampm;

		$eHour = $endtime['hour'];
		if ($eHour > 12) {
			$eHour -= 12;
			$ampm = "pm";
		}
		else if ($eHour == 0) {
			$eHour = 12;
			$ampm = "am";
		}
		else $ampm = "am";
		$eMinute = $endtime['minute'];
		$endtime = $eHour . ":" . $eMinute . $ampm;

		print("<form action=\"main.php?mode=recordings\" method=\"post\">");
		print("<input type=\"hidden\" name=\"title\" value=\"$show->title\"><input type=\"hidden\" name=\"chanid\" value=\"$show->chanid\">");
		print("<input type=\"hidden\" name=\"starttime\" value=\"$show->starttime\"><input type=\"hidden\" name=\"delete\" value=\"1\">");
		print("<TR VALIGN=\"TOP\"><TD BGCOLOR=\"$list_fg_colour\">$show->title</TD>");
		print("<TD BGCOLOR=\"$list_fg_colour\">$starttime to $endtime on channel $show->channum</TD>");
		print("<TD BGCOLOR=\"$list_bg_colour\"><input type=\"submit\" name=\"deletebutton\" value=\"Delete\"></TR></form>");
		$index++;
	}
}
else print("<TR><TD>You currently do not have any time slots scheduled to record</TD></TR>");
print("</table><br><br>");

// print the shows that are always set to record
print("<TABLE BGCOLOR=\"$list_bg_colour\" CELLSPACING=\"5\" CELLPADDING=\"5\">");

$index=0;
if ($allrecordings[$index]) {
	print("<TR VALIGN=\"TOP\"><TD>Programs scheduled to always record</TD></TR>");
	while ($show = $allrecordings[$index]) {
		$theTitle = $show->title;
		$theChanId = $show->chanid;
		$theChannel = $show->channum;
		print("<form action=\"main.php?mode=recordings\" method=\"post\">");
		print("<input type=\"hidden\" name=\"title\" value=\"$theTitle\"><input type=\"hidden\" name=\"chanid\" value=\"");
		if ($theChanId) print($theChanId);
		else print("NULL");
		print("\"><input type=\"hidden\" name=\"starttime\" value=\"NULL\"><input type=\"hidden\" name=\"delete\" value=\"1\">");
		print("<TR VALIGN=\"TOP\"><TD BGCOLOR=\"$list_fg_colour\">$theTitle");
		if ($theChanId) print(" on channel $theChannel");
		print("</TD><TD><input type=\"submit\" name=\"deletebutton\" value=\"Delete\"></TD></TR></form>");
		$index++;
	}
}
else print("<TR><TD>You currently do not have any programs set to always record.</TD></TR>");
print("</table><br><br>");
print("</td></tr></table>");
?>
