<?php

	//
	//	This file is part of MythWeb,
	//	a php-based interface into MythTV.
	//
	//	(c) 2002 by Thor Sigvaldason and Isaac Richards
	//	MythWeb is distributed under the
	//	GNU GENERAL PUBLIC LICENSE version 2
	//	(see http://www.gnu.org)
	//


//
//	All end-user customizations (should?) happen here
//	All of this should really by in a MySQL table with
//	a php interface to change it (someday...) 
//

	
	//
	//	How to access the database
	//

	$db_host 	= "localhost";
	$db_username 	= "mythtv";
	$db_password 	= "mythtv";
	$db_dbname	= "mythconverg";

	//
	//	listing Display options
	//
	// what kind of info to display on the listings
	// everything disabled by default (i like my listings simple)
	$includeSubTitle        = FALSE;        // show the programs subtitle
	$includeDescription     = FALSE;    // show the full program description
	$includeProgramType = FALSE;    // show what category of program it is
	// include the channel icon (must copy all icons from ~/.mythtv/channels to mythwebroot/images/icons)
	$includeIcon            = FALSE;

	$timeSlots        = 6;          // How many 30 minute columns to display
	$timeBarCount = 15;             // How many lines to skip before redisplaying the timebar on the listings

	$movie_lookahead = 5;  // on the movies overview page, the number of days to look ahead

	$includeReleaseYear = FALSE;        // show release year for all programs
	$includeReleaseYearForMovies = TRUE;// show release year for movies
	$includeRatings = FALSE;            // show the content ratings for all programs
	$includeRatingsForMovies = TRUE;    // show the content ratings for movies
	$includeStarRating = TRUE;          // show the "star rating" for movies
	$includeMoviesMadeForTV = FALSE;    // movies made for TV are treated as such in listings
	$maximumStarRating = 4;             // maximum star rating for movies
	$starRatingCharacter = '&diams;';   // the character(s) to represent stars with
	// this is a list of channels to /ignore/ when searching for movies.
	// it is best populated with pay-per-view channel numbers.
	// if your channums start with letters, you'll have to list 'em like this
	//	"FOO1"	=>	"BAR2",
	//	"ZIP3"	=>	"ZAP4",
	$ignore_movie_channels = array(
//		"somehostname"	=>	array(
//			"/dev/video0"	=>	array(
//				"Television"	=>	array(
//					100	=>	200,
//					401	=>	432,
//				),
//			),
//		),
	);

	//
	//	Default Search
	//
	//	t = Title
	//	s = Subtitle
	//	c = Category
	//	d = Description
	//
	//	so "tscd" would be everything by default
	//
	
	$defaultSearch = "ts";

	//
	//	Look and feel
	//	(this will probably get "themed" at some point)
	//
	
	$main_bg_colour	= "#ffffff";
	$main_fg_colour	= "#000000";
	$high_colour	= "#2222ff";
	$main_fontface	= "arial,helvetica,sansserif";
	$main_fontsize	= "2";
	$menu_bg_colour	= "#3181B4";
	$menu_fg_colour = "#DEDEDE";

	// listing colors
	$list_bg_colour = "#3181B4";
	$list_fg_colour = "#DEDEDE";
	$list_default_colour = "#FFFFFF";
	$list_reccolour = "#FF0000";

	// what contrasting colors to use for text on the listing
	$text_light = "#000000"; //"#FFFFFF";
	$text_dark = "#000000";

	// doesn't affect the listings
	$link_color             = "#3181B4";
	$link_visited_color     = "#3181B4";
	$link_active_color      = "#990033";
	$link_hover_color       = "#CC0000";

	// colors for certain categories
	// everything besides what is listed here is list_default_colour
	$movie_colour   = "#DE9D00";

// uncomment all or a part of this hunk if you want certain categorical colors on the listings
/*	$colorArray["Sports"] = "#108800";
	$colorArray["Sport - Events"] = "#108800";
	$colorArray["Talk"] = "#FFCCCC";
	$colorArray["News"] = "#99CCFF";
	$colorArray["Comedy"] = "#AAAACC";
	$colorArray["Children"] = "#CC99FF";
	$colorArray["Children's"] = "#CC99FF";
	$colorArray["Reality"] = "#EEDD99";
	$colorArray["Soap"] = "#CC99CC";
	$colorArray["Soaps"] = "#CC99CC";
	$colorArray["Drama"] = "#AACCCC";
	$colorArray["Doc"] = "#BC8F8F";
	$colorArray["Documentary"] = "#BC8F8F";
	$colorArray["Nature"] = "#309930";
	$colorArray["House/Garden"] = "#309930";
	$colorArray["Cooking"] = "#309930";
	$colorArray["How-to"] = "#CC9966";
	$colorArray["Special"] = "#CCFF33"; */
?>
